diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index 9fb632b0bd..4b94c9261a 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -1670,17 +1670,18 @@ testdb=&gt;
         partitioned tables are listed; supply a pattern to also include
         partitioned indexes.  If the form <literal>\dP+</literal>
         is used, the sum of sizes of table's partitions (including their
-        indexes) and associated description are also displayed.
+        indexes) is displayed, as is the relation's description.
         </para>
 
         <para>
-         If modifier <literal>n</literal> (which stands for
-         <quote>nested</quote>) is used, then non-root partitioned tables are
-         displayed too.  The displayed size is divided into two columns in
-         this case: one that shows the total size of only the directly
-         attached leaf partitions and another that shows total size of all
-         partitions, also considering other sub-partitioned partitions, for
-         each partitioned tables that's displayed.
+        If the modifier <literal>n</literal> (<quote>nested</quote>) is used,
+        then non-root partitioned tables are included, and a column is shown
+        displaying the parent of each partitioned relation.
+
+        If <literal>n</literal> is combined with <literal>+</literal>, two
+        sizes are shown: one including the total size of directly-attached
+        leaf partitions, and another showing the total size of all partitions,
+        including indirectly attached sub-partitions.
         </para>
         </listitem>
       </varlistentry>
@@ -1694,11 +1695,11 @@ testdb=&gt;
         class="parameter">pattern</replaceable> is specified, only entries
         whose name matches the pattern are listed. If the form
         <literal>\dPi+</literal> is used, the sum of sizes of index's
-        partitions and associated description are also displayed.
+        partitions is also displayed, along with the associated description.
         </para>
 
         <para>
-         If the modifier <literal>n</literal> is used, non-root partitioned
+         If the <literal>n</literal> modifier is used, non-root partitioned
          indexes are displayed too.
         </para>
         </listitem>
@@ -1713,11 +1714,11 @@ testdb=&gt;
         class="parameter">pattern</replaceable> is specified, only entries
         whose name matches the pattern are listed. If the form
         <literal>\dPt+</literal> is used, the sum of sizes of table's
-        partitions and associated description are also displayed.
+        partitions is also displayed, along with the associated description.
         </para>
 
         <para>
-         If the modifier <literal>n</literal> is used, non-root partitioned
+         If the <literal>n</literal> modifier is used, non-root partitioned
          tables are displayed too.
         </para>
         </listitem>
diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index 2b8628f2ff..6997baedf6 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -3768,16 +3768,16 @@ listPartitions(const char *pattern, bool verbose, bool show_indexes,
 		{
 			appendPQExpBuffer(&buf,
 							  ",\n  s.dps as \"%s\"",
-							  gettext_noop("Direct partitions size"));
+							  gettext_noop("Size: leaves"));
 			appendPQExpBuffer(&buf,
 							  ",\n  s.tps as \"%s\"",
-							  gettext_noop("Total partitions size"));
+							  gettext_noop("Size: total"));
 		}
 		else
 			/* Sizes of all partitions are considered in this case. */
 			appendPQExpBuffer(&buf,
 							  ",\n  s.tps as \"%s\"",
-							  gettext_noop("Partitions size"));
+							  gettext_noop("Size: total"));
 
 		appendPQExpBuffer(&buf,
 						  ",\n  pg_catalog.obj_description(c.oid, 'pg_class') as \"%s\"",
-- 
2.16.4

